package com.heyu.api.alibaba.request.vv;


import com.alibaba.fastjson.JSON;
import com.heyu.api.data.service.impl.AppBaseRequest;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class AppCommentAdd extends AppBaseRequest {




    //商品评论的内容
    private String productComment;


    //服务评论内容
    private String serviceComment;

    //描述相符  1 ~ 5
    private Integer descMatch;
    //卖家服务 1 ~ 5
    private Integer sellerService;
    //物流服务 1 ~ 5
    private Integer logisticsService;

    /***
     * 评论具体的值
     */
    private List<AppCommentDetail> commentDetailList;

    /***
     *  包裹id
     */
    private String trackNumber;


    public static void main(String[] args) {
        AppCommentAdd appCommentAdd = new AppCommentAdd();

        appCommentAdd.setBuyerId(2L);

        appCommentAdd.setProductComment("东西很好");
        appCommentAdd.setServiceComment("服务态度好");
        appCommentAdd.setDescMatch(5);
        appCommentAdd.setSellerService(2);
        appCommentAdd.setLogisticsService(3);
        appCommentAdd.setTrackNumber("3");

        List<AppCommentDetail> commentDetailList = new ArrayList<>();

        AppCommentDetail appCommentDetail = new AppCommentDetail();
        appCommentDetail.setCommentUrl("9ewe");
        appCommentDetail.setType("image");
        commentDetailList.add(appCommentDetail);


        appCommentAdd.setCommentDetailList(commentDetailList);


        System.out.println(JSON.toJSONString(appCommentAdd));

    }




}
